Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Tar.TarFileSet

    java.lang.Object
      |
      +--org.apache.tools.ant.types.DataType
            |
            +--org.apache.tools.ant.types.FileSet
                  |
                  +--org.apache.tools.ant.taskdefs.Tar.TarFileSet

Enclosing class:
  Tar

public static class Tar.TarFileSet
extends FileSet

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Constructor Summary
`Tar.TarFileSet()`
`Tar.TarFileSet(FileSet fileset)`

Method Summary
`java.lang.String[]` | `getFiles(Project p)`
`java.lang.String` | `getGroup()`
`int` | `getMode()`
`java.lang.String` | `getUserName()`
`void` | `setGroup(java.lang.String groupName)`
`void` | `setMode(java.lang.String octalString)`
`void` | `setUserName(java.lang.String userName)`

Methods inherited from class org.apache.tools.ant.types.FileSet
`createExclude, createInclude, createPatternSet, getDir, getDirectoryScanner, getRef, setDefaultexcludes, setDir, setExcludes, setExcludesfile, setIncludes, setIncludesfile, setRefid, setupDirectoryScanner`

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getDescription, isReference, noChildrenAllowed, setDescription, tooManyAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tar.TarFileSet

    public Tar.TarFileSet(FileSet fileset)

### Tar.TarFileSet

    public Tar.TarFileSet()

Method Detail

### getFiles

    public java.lang.String[] getFiles(Project p)

### setMode

    public void setMode(java.lang.String octalString)

### getMode

    public int getMode()

### setUserName

    public void setUserName(java.lang.String userName)

### getUserName

    public java.lang.String getUserName()

### setGroup

    public void setGroup(java.lang.String groupName)

### getGroup

    public java.lang.String getGroup()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.